Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider
Class LocalSearchDecider

    java.lang.Object
      org.optaplanner.core.impl.localsearch.decider.LocalSearchDecider

    public class LocalSearchDecider

extends Object

Field Summary
`protected Acceptor` | `acceptor`
`protected boolean` | `assertExpectedUndoMoveScore`
`protected boolean` | `assertMoveScoreFromScratch`
`protected Forager` | `forager`
`protected org.slf4j.Logger` | `logger`
`protected MoveSelector` | `moveSelector`
`protected Termination` | `termination`

Constructor Summary
`LocalSearchDecider()`

Method Summary
`void` | `decideNextStep(LocalSearchStepScope stepScope)`
`Forager` | `getForager()`
`void` | `phaseEnded(LocalSearchSolverPhaseScope phaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope phaseScope)`
`void` | `setAcceptor(Acceptor acceptor)`
`void` | `setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)`
`void` | `setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)`
`void` | `setForager(Forager forager)`
`void` | `setMoveSelector(MoveSelector moveSelector)`
`void` | `setTermination(Termination termination)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`
`void` | `stepStarted(LocalSearchStepScope stepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### termination

    protected Termination termination

### moveSelector

    protected MoveSelector moveSelector

### acceptor

    protected Acceptor acceptor

### forager

    protected Forager forager

### assertMoveScoreFromScratch

    protected boolean assertMoveScoreFromScratch

### assertExpectedUndoMoveScore

    protected boolean assertExpectedUndoMoveScore

Constructor Detail

### LocalSearchDecider

    public LocalSearchDecider()

Method Detail

### setTermination

    public void setTermination(Termination termination)

### setMoveSelector

    public void setMoveSelector(MoveSelector moveSelector)

### setAcceptor

    public void setAcceptor(Acceptor acceptor)

### getForager

    public Forager getForager()

### setForager

    public void setForager(Forager forager)

### setAssertMoveScoreFromScratch

    public void setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)

### setAssertExpectedUndoMoveScore

    public void setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope phaseScope)

### stepStarted

    public void stepStarted(LocalSearchStepScope stepScope)

### decideNextStep

    public void decideNextStep(LocalSearchStepScope stepScope)

### stepEnded

    public void stepEnded(LocalSearchStepScope stepScope)

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope phaseScope)

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.